
Redmine - Defect #2616

Target version-list on bulk edit form is incorrectly sorted

2009-01-28 23:36 - Mischa The Evil

Status: Closed Start date: 2009-01-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

The list of issue target-verion options that is shown on the bulk edit form does not follow the regular sort-order (by date then by

name) as seen e.g. on the versions project-settings page. Now it seems to be sorted by id.

Quick workaround (or definate fix after approval) would be to change source:trunk/app/views/issues/bulk_edit.rhtml#L30 from:

                                   options_from_collection_for_select(@project.versions, :id, :nam

e)) %></label>

 to

                                   options_from_collection_for_select(@project.versions.sort, :id,

 :name)) %></label>

Related issues:

Related to Redmine - Defect #1956: Status list on bulk edit form does not fol... Closed 2008-09-26

Associated revisions

Revision 2330 - 2009-01-29 10:05 - Jean-Philippe Lang

Sort target versions list on bulk edit form (#2616).

History

#1 - 2009-01-28 23:37 - Mischa The Evil

Added relationship with issue #1956 for some more clarity about this issue...

#2 - 2009-01-29 10:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2330.
